Skip to navigation

Get a single WhatsAppMessage activity

View as Markdown

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Query parameters

_fieldsstringOptional

Comma-separated list of fields to include in the response.

Response

Successful response
_typestring

Type of the activity, e.g. Call, Email or Note.

activity_atdatetime or null

When the activity happened, e.g. when an Email or SMS was sent. Defaults to date_created.

contact_idstring or null

ID of the Contact the activity is with, or null if it isn’t with a particular Contact.

created_bystring or null

ID of the user who created the activity, or null if it wasn’t created by a user.

date_createddatetime
When the activity was created.
date_updateddatetime
When the activity was last updated.
directionenum

Direction of communication. Outgoing means the communication flowing from the user to the lead/contact. Inbound means the opposite.

Allowed values:
external_whatsapp_message_idstring
idstring

ID of the activity, e.g. acti_abc123.

integration_namestring or null
lead_idstring or null

ID of the Lead the activity is on. Can be null for Calls and SMS with phone numbers that don’t match any Contact.

local_phonestring
local_phone_formattedstring
message_htmlstring
message_markdownstring
organization_idstring
ID of the organization the activity belongs to.
remote_phonestring
remote_phone_formattedstring
response_to_idstring or null
sourceenum

How the object was created, e.g. ui in the Close app, api through the API, import by a bulk import, or by an integration.

textstring
updated_bystring or null

ID of the user who last updated the activity, or null if it wasn’t updated by a user.

user_idstring or null

ID of the user the activity belongs to, e.g. who made the Call or sent the Email. Can be null, e.g. for an incoming SMS to a group number.

userslist of strings
IDs of all users the activity is associated with, e.g. every Close user on an Email Thread or invited to a Meeting.
attachmentslist of objectsOptional
created_by_namestring or nullOptional

Name of the user in created_by.

sequence_idstring or nullOptional

ID of the Workflow that created the activity, or null.

sequence_namestring or nullOptional

Name of the Workflow in sequence_id.

sequence_subscription_idstring or nullOptional

ID of the Workflow subscription, i.e. the Contact’s enrollment in the Workflow, that created the activity, or null.

updated_by_namestring or nullOptional

Name of the user in updated_by.

user_namestring or nullOptional

Name of the user in user_id.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error